using AutoMapper;
using WingInterfaceLibrary.DTO.Device;
using WingInterfaceLibrary.DTO.User;

namespace WingDeviceService
{
    public class AutoMapperProfile : Profile
    {   
         public AutoMapperProfile()
         {
            CreateMap<UserDTO, UserPasswordDTO>().ReverseMap();
            CreateMap<DeviceInfoDTO, CacheDeviceDTO>().ReverseMap();
            CreateMap<DeviceInfoDTO, DeviceExtendInfoDTO>().ReverseMap();  
         }
    }
}